Subject: Re: Debugger (question to Acid Software)
From: Acid Software <[email-masked]>
To: Martin Kift <[email-masked]>
Cc: [email-masked]
Date: Thu, 7 Jul 1994 21:55:23 +1200 (NZST)

> Well, recently (about a month ago), I started getting errors when 
> examining variables. Sometimes it would work fine, sometimes when I 
> asked to see an existing variable, it would say 'cannot create in 
> direct mode', even tho the variable definitely exists!
we fixed most of the direct mode stuff in v1.08 (bum6) to be honest i've 
never got out of the habit of ignoring the debugger completely, oh dear  
> Also, when my program reached a certain size I think (although I may 
> be wrong in that), when running my game in debugging mode, the game 
> crashes at random intervals, usually no more than 30 secs after it 
> starts. No feedback at all, it simply crashes my machine. 
> Of course, my game runs fine in non-debug mode (not a single crash), 
> but as soon as I switch to debug mode, random crashes.
yes a bit silly for the debugger to ad bug (a bugger indeed!) the unlk a4 
thing as i said is the main problem I know of,  
> I can believe it 8) Is SkidMarks being updated at all. I wish for 
> greater computer intelligence, since I have yet to lose a match 
> against the computer, and I usually lap them once or twice (they are 
> aweful drivers) 8^)
Yeh, I always swap the cars around to make it a little harder some of the 
computers suit the monster camaro, you have to be a bit of a swizz to 
beat them on the flat snow course in a porsche i think, wouldn't it be 
nice to be able to play over the net? then we wouldn't need bloody 
computer cars... 

oh and as for a quick patch howabout cpu nocache in your startup sequence 
or as an execute_ call?